Go to the latest version of this document.

# ``twisted`.`mail`.`scripts`.`mailmail``

module documentation
(source)

Implementation module for the mailmail command.

Class | `Configuration` | No summary
Class | `Options` | Store the values of the parsed command-line options to the mailmail script.
Function | `deny` | Undocumented
Function | `failure` | Undocumented
Function | `getlogin` | Undocumented
Function | `loadConfig` | Undocumented
Function | `parseOptions` | Undocumented
Function | `run` | Undocumented
Function | `senderror` | Undocumented
Function | `sendmail` | Undocumented
Function | `success` | Undocumented
Constant | `ERROR_FMT` | Undocumented
Constant | `GLOBAL_CFG` | Undocumented
Constant | `LOCAL_CFG` | Undocumented
Constant | `SMARTHOST` | Undocumented
Variable | `failed` | Undocumented
Variable | `_log` | Undocumented
Variable | `_logObserver` | Undocumented
Variable | `_unsupportedOption` | Undocumented

def deny(conf): (source)

Undocumented

def failure(f): (source)

Undocumented

def getlogin(): (source)

Undocumented

def loadConfig(path): (source)

Undocumented

def parseOptions(argv): (source)

Undocumented

def run(): (source)

Undocumented

def senderror(failure, options): (source)

Undocumented

def sendmail(host, options, ident): (source)

Undocumented

def success(result): (source)

Undocumented

ERROR_FMT: `str` = (source)

Undocumented

Value

    '''Subject: Failed Message Delivery

      Message delivery failed.  The following occurred:

      %s
    --
    The Twisted sendmail application.
    ...

GLOBAL_CFG: `str` = (source)

Undocumented

Value

    '/etc/mailmail'

LOCAL_CFG = (source)

Undocumented

Value

    os.path.expanduser('~/.twisted/mailmail')

SMARTHOST: `str` = (source)

Undocumented

Value

    '127.0.0.1'

failed = (source)

Undocumented

_log = (source)

Undocumented

_logObserver = (source)

Undocumented

_unsupportedOption = (source)

Undocumented